from datetime import datetime, timedelta

temp = [10, 9, 11, 16, 20, 19, 21, 19, 18, 16, 15, 16, 17, 23, 26, 29, 20, 23, 22, 15, 14, 20, 15, 20, 22, 19, 19, 23, 25, 27, 25, 22, 22, 22, 20, 24, 27, 25, 21, 22, 20, 21, 22, 24, 22, 23, 22, 28, 24, 23, 24, 24, 26, 21, 25, 28, 32, 30, 23, 23, 24, 22, 22, 26, 25, 32, 29, 30, 27, 26, 34, 29, 30, 32, 28, 29, 27, 33, 28, 27, 26, 26, 27, 27, 29, 26, 27, 31, 32, 29, 25, 31, 26, 28, 32, 36, 34, 33, 35, 31, 32, 28, 27, 28, 28, 41, 32, 31, 32, 29, 33, 32, 30, 30, 31, 32, 35, 34, 29, 26, 36, 35, 38, 32, 29, 28, 33, 33, 30, 32, 31, 29, 29, 30, 31, 30, 31, 28, 27, 29, 31, 35, 34, 33, 34, 30, 28, 36, 30, 28, 28, 29, 27, 30, 28, 26, 28, 28, 29, 28, 29, 28, 27, 27, 27, 26, 28, 30, 30, 25, 23, 24, 24, 24, 23, 23, 23, 24, 23, 22, 22, 22, 20, 25, 27, 27, 22, 21, 25, 21, 23, 21, 22, 23, 23, 23, 27, 22, 23, 22, 22, 21, 21, 23, 23, 23, 24, 21, 23, 23, 22, 21, 24, 22]


pluie = [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 27, 25, 0, 4, 21, 0, 1, 0, 0, 0, 0, 0, 0, 0, 5, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 1, 11, 36, 4, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 4, 0, 3, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 18, 1, 0, 0, 30, 1, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 0, 0, 0, 0, 0, 17, 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 2, 1, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]


def get_weather_at(date: datetime):
    idx = int((date - datetime(2022,4,1)) / timedelta(days=1))
    return temp[idx], pluie[idx]
